Bug 501252 - KMS:M6 LY:Mobility Radeon 7000 on resume from suspend corrupt screen and no keyboard response
KMS:M6 LY:Mobility Radeon 7000 on resume from suspend corrupt screen and no k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 04:51 EDT by Sam Tygier
Modified: 2010-06-28 08:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:35:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg after resume without modsetting (43.46 KB, text/plain)
2009-05-18 04:51 EDT, Sam Tygier
no flags Details
xorg log after resume with nomodset (58.03 KB, text/plain)
2009-05-18 04:52 EDT, Sam Tygier
no flags Details
Xorg.0.log.old, should be the one that failed to resume (50.99 KB, text/plain)
2009-05-18 04:54 EDT, Sam Tygier
no flags Details
dmesg before suspend with KMS (34.50 KB, text/plain)
2009-05-18 05:02 EDT, Sam Tygier
no flags Details
screen on resume (65.92 KB, image/jpeg)
2009-05-18 05:13 EDT, Sam Tygier
no flags Details

  None (edit)
Description Sam Tygier 2009-05-18 04:51:06 EDT
Created attachment 344399 [details]
dmesg after resume without modsetting

Description of problem:
when resuming from suspend the screen is blue with a few vertical stripes. there is no response from the keyboard, no caps light, ctrl+alt+del and magic sysrq keys ignored. have to hold power button to escape. sometimes the mouse will move a bar around the screen.

if i boot with nomodeset then resume works fine

Version-Release number of selected component (if applicable):
up to date rawhide
xorg-x11-server-Xorg-1.6.1-11.fc11.i586
xorg-x11-drv-ati-6.12.2-14.fc11.i586
Linux localhost.localdomain 2.6.29.3-140.fc11.i586 #1 SMP Tue May 12 10:30:21 EDT 2009 i686 i686 i386 GNU/Linux

How reproducible:
everytime (unless i boot with nomodeset)

Steps to Reproduce:
1. suspend
2. resume
3. cry
  
Actual results:
stuck on corrupt screen

Expected results:
back to my desktop/password box

Additional info:
http://smolt.fedoraproject.org/show?uuid=pub_c605e854-b38e-478d-b29b-7295b0ff3808+
Comment 1 Sam Tygier 2009-05-18 04:52:33 EDT
Created attachment 344400 [details]
xorg log after resume with nomodset
Comment 2 Sam Tygier 2009-05-18 04:54:33 EDT
Created attachment 344402 [details]
Xorg.0.log.old, should be the one that failed to resume
Comment 3 Sam Tygier 2009-05-18 04:57:46 EDT
i dont know if this is related but also the backlight does not go out when i suspend with KMS.

also i probably should have put this is the description
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M6 LY
Comment 4 Sam Tygier 2009-05-18 05:02:07 EDT
Created attachment 344405 [details]
dmesg before suspend with KMS
Comment 5 Sam Tygier 2009-05-18 05:13:44 EDT
Created attachment 344406 [details]
screen on resume

also one time i have seen the screen just be blank on resume. some times i get a flash of the desktop or password box on resume before it gets to the corrupt screen.
Comment 6 Bug Zapper 2009-06-09 12:02:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 ChristophAuer 2009-06-26 13:55:47 EDT
I can confirm that on a Thinkpad T60 with ATI M52 [Mobility Radeon X1300] graphics chip. In some cases, VT switching is still possible, but screen corruption does not disappear without rebooting the machine. I'm running a fresh and up-to-date Fedora 11 x64 install without any modifications. 

kernel version: 2.6.29.5-191.fc11.x86_64
xorg version: 1.6.1.901
version of xorg-x11-drv-ati: 6.12.2
Comment 8 Matěj Cepl 2009-11-05 13:29:28 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Sam Tygier 2009-11-07 07:01:43 EST
My X31 has sadly died. unless the poster of #7 is still experiencing this feel free to close it. thanks
Comment 10 Anders Norstad 2009-12-27 17:39:36 EST
I can confirm this bug on an up-to-date F12 system (hardware is IBM X31 like the original submitter). 

xorg-x11-drv-ati-6.13.0-0.11.20091119git437113124.fc12.i686
xorg-x11-server-Xorg-1.7.1-7.fc12.i686
Linux 2.6.31.9-174.fc12.i686 #1 SMP Mon Dec 21 06:24:20 UTC 2009
Comment 11 Nelson Elhage 2010-03-19 09:54:30 EDT
I can confirm this on my Thinkpad T42 on F12.

xorg-x11-drv-ati-6.13.0-0.21.20100219gite68d3a389.fc12.x86_64
xorg-x11-server-Xorg-1.7.5.901-4.fc12.x86_64
kernel-2.6.31.5-127.fc12.x86_64 / 2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14 EST 2009

(I would try a later kernel package, but they seem to crash before I can even make it to suspending and resuming, with or without KMS. I'll file another bug if I can get more information).

I'll try with the F13 alpha at some point if I get a chance.
Comment 12 Bug Zapper 2010-04-27 10:22:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Vedran Miletić 2010-05-24 13:49:30 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 14 hdfssk 2010-06-25 16:39:09 EDT
I've run into this under Fedora 13, kernel-2.6.33.5-124 - suggest bumping Version to 13.

Does anyone know of an upstream bug for this?
Comment 15 Matěj Cepl 2010-06-25 17:15:19 EDT
(In reply to comment #14)
> I've run into this under Fedora 13, kernel-2.6.33.5-124 - suggest bumping
> Version to 13.
> 
> Does anyone know of an upstream bug for this?    

Could you please file a new bug about it ... this bug seems to be abandoned by its original reporter and I guess it should be put out of misery.
Comment 16 Bug Zapper 2010-06-28 08:35:15 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.